<?php

if ( !function_exists( 'NAMESPACE_theme_setup' ) ) {
	function NAMESPACE_theme_setup() {
		/**
		 * add theme supports
		 * add navigation menus
		 */
		register_nav_menus( array(
			'primary' => 'Primary Navigation',
		) );
	}
}
add_action( 'after_setup_theme', 'NAMESPACE_theme_setup' );


function NAMESPACE_get_page_title(){
	$page_title = get_the_title();
	$blog_title = get_bloginfo( 'name' );
	return ( $page_title ? $page_title .' - '. $blog_title : $blog_title );
}

function NAMESPACE_get_theme_version(): string {
	$theme = wp_get_theme();
	return $theme->get( 'Version' );
}

/**
 * looks through all files in /assets/css/ and /assets/js/
 * and creates a version from the timestamp of the last updated
 * and returns that value
 * @return string
 */
function NAMESPACE_get_assets_version(): string {
	$asset_directories = array(
		NAMESPACE_ASSETS_DIR_FULL .'/css',
		NAMESPACE_ASSETS_DIR_FULL .'/js'
	);
	$file_timestamps = array();
	foreach( $asset_directories as $dir ){
		$dir_files = scandir( $dir );
		foreach( $dir_files  as $dir_file ){
			if( $dir_file == '.' || $dir_file == '..' ){
				continue;
			}
			$file_timestamps[] = filemtime( $dir .'/'. $dir_file );
		}
	}
	return substr( max( $file_timestamps ), -4 );
}